package com.lukouguoji.module_base.bean

import androidx.databinding.BaseObservable
import androidx.databinding.Bindable
import androidx.databinding.ObservableBoolean
import com.lukouguoji.module_base.BR
import com.lukouguoji.module_base.interfaces.ICheck

class AccidentVisaBean : BaseObservable(), ICheck {

    // 事故经过
    @Bindable
    var accidentdes: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.accidentdes)
        }

    // 事故经过
    @Bindable
    var annex: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.annex)
        }

    // 所附证件
    @Bindable
    var conclusion: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.conclusion)
        }

    // 收货人名称及住址
    @Bindable
    var consignee: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.consignee)
        }

    // 声明价值
    @Bindable
    var declareamount: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.declareamount)
        }

    // 发运站
    @Bindable
    var dep: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.dep)
        }

    // 到达站
    @Bindable
    var dest: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.dest)
        }

    // 飞行组成员
    @Bindable
    var fltcrew: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.fltcrew)
        }

    // 航班号
    @Bindable
    var fno: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.fno)
        }

    // ID
    var id: String = "" // 0

    // 货单号
    @Bindable
    var mawbno: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.mawbno)
        }

    // 姓名
    @Bindable
    var name: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.name)
        }

    // 开具日期
    @Bindable
    var opDate: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.opDate)
        }

    // 填表人
    @Bindable
    var opid: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.opid)
        }

    // 保障情况
    @Bindable
    var packing: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.packing)
        }

    // 件数
    @Bindable
    var pc: String = "" // 0
        set(value) {
            field = value
            notifyPropertyChanged(BR.pc)
        }

    // 图片地址
    var pic: String = ""
    var originalPic: String = ""

    // 图片数量
    var picnumber: String = ""

    // 飞机号
    @Bindable
    var registeration: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.registeration)
        }

    // 托运人名称及住址
    @Bindable
    var shipper: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.shipper)
        }

    // 职别
    @Bindable
    var title: String = ""
        set(value) {
            field = value
            notifyPropertyChanged(BR.title)
        }

    // 重量
    @Bindable
    var weight: String = ""// 0
    set(value) {
        field = value
        notifyPropertyChanged(BR.weight)
    }



    val checked = ObservableBoolean(false)

    override fun getCheckObservable() = checked

}